com.h3c.sdn.adm.dao.model

## Class HostManagerEntity

- java.lang.Object
- - com.h3c.sdn.dao.model.BaseEntity
  - - com.h3c.sdn.dao.model.SystemLocalEntity
    - - com.h3c.sdn.adm.dao.model.HostManagerEntity

- All Implemented Interfaces:
    Storable<UUID>

      @Entity
      public class HostManagerEntity
      extends SystemLocalEntity

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostManagerEntity()`
    `HostManagerEntity(UUID uid, UUID sysId, IpAddress ipAddr, MacAddress macAddr, VId vid, BigPortNumber portNumber, DataPathId dpid, boolean state, int ctlid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCtlid()`
    `DataPathId` | `getDpid()`
    `IpAddress` | `getIpAddr()`
    `MacAddress` | `getMacAddr()`
    `BigPortNumber` | `getPort()`
    `boolean` | `getState()`
    `VId` | `getVid()`
    `void` | `setCtlid(int ctlid)`
    `void` | `setDpid(DataPathId dpid)`
    `void` | `setIpAddr(IpAddress ipAddr)`
    `void` | `setMacAddr(MacAddress macAddr)`
    `void` | `setPort(BigPortNumber port)`
    `void` | `setState(boolean state)`
    `void` | `setVid(VId vid)`

    - ### Methods inherited from class com.h3c.sdn.dao.model.SystemLocalEntity

      `getSysId`

    - ### Methods inherited from class com.h3c.sdn.dao.model.BaseEntity

      `equals, getId, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HostManagerEntity

          public HostManagerEntity()

    - #### HostManagerEntity

          public HostManagerEntity(UUID uid,
                           UUID sysId,
                           IpAddress ipAddr,
                           MacAddress macAddr,
                           VId vid,
                           BigPortNumber portNumber,
                           DataPathId dpid,
                           boolean state,
                           int ctlid)

  - ### Method Detail

    - #### getIpAddr

          public IpAddress getIpAddr()

    - #### setIpAddr

          public void setIpAddr(IpAddress ipAddr)

    - #### getMacAddr

          public MacAddress getMacAddr()

    - #### setMacAddr

          public void setMacAddr(MacAddress macAddr)

    - #### getVid

          public VId getVid()

    - #### setVid

          public void setVid(VId vid)

    - #### getDpid

          public DataPathId getDpid()

    - #### setDpid

          public void setDpid(DataPathId dpid)

    - #### getPort

          public BigPortNumber getPort()

    - #### setPort

          public void setPort(BigPortNumber port)

    - #### getState

          public boolean getState()

    - #### setState

          public void setState(boolean state)

    - #### getCtlid

          public int getCtlid()

    - #### setCtlid

          public void setCtlid(int ctlid)

Copyright © 2014. All Rights Reserved.